Bug 1129438 - Restarting katello-jobs fails with stack trace
Summary: Restarting katello-jobs fails with stack trace
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Other
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks: GSS_Sat6Beta_Tracker, GSS_Sat6_Tracker
TreeView+ depends on / blocked
 
Reported: 2014-08-12 18:45 UTC by Shannon Hughes
Modified: 2018-12-06 17:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-03 13:43:23 UTC


Attachments (Terms of Use)

Description Shannon Hughes 2014-08-12 18:45:44 UTC
Description of problem:

Retarting katello-jobs results in stack trace: 

[root@dhcp145-220 environments]# service httpd restart && katello-jobs restart
Stopping httpd:                                            [  OK  ]
Starting httpd: [Tue Aug 12 18:38:45 2014] [warn] module passenger_module is already loaded, skipping
                                                           [  OK  ]
Dynflow Executor: restart in progress
dynflow_executor: trying to stop process with pid 12463...
dynflow_executor: process with pid 12463 successfully stopped.
no implicit conversion from nil to integer 
deleting pid-file.
Waiting for the executor to be ready...
.dynflow_executor: process with pid 13830 started.
.........................................................................................................................................................................................................................................................................................................../opt/rh/ruby193/root/usr/share/rubygems/rubygems/dependency.rb:247:in `to_specs': Please install the sqlite3 adapter: `gem install activerecord-sqlite3-adapter` (Could not find sqlite3 (~> 1.3.5) amongst [actionmailer-3.2.8, actionpack-3.2.8, activemodel-3.2.8, activerecord-3.2.8, activeresource-3.2.8, activesupport-3.2.8, addressable-2.3.5, algebrick-0.4.0, ancestry-2.0.0, anemone-0.7.2, angular-rails-templates-0.0.4, ansi-1.4.3, apipie-params-0.0.3, apipie-rails-0.1.2, arel-3.0.2, audited-3.0.0, audited-activerecord-3.0.0, autoparse-0.3.3, bigdecimal-1.1.0, bootstrap-sass-3.0.3.0, builder-3.0.0, bundler-1.3.5, bundler_ext-0.3.0, chunky_png-1.2.0, commonjs-0.2.6, compass-0.12.2, compass-960-plugin-0.10.4, compass-rails-1.0.3, daemons-1.1.4, deep_cloneable-1.6.0, deface-0.7.2, delayed_job-3.0.2, delayed_job_active_record-0.3.3, diff-lcs-1.1.3, dynflow-0.7.2, erubis-2.7.0, eventmachine-0.12.10, excon-0.32.1, extlib-0.9.16, faraday-0.8.8, fast_gettext-0.8.0, fog-1.21.0, fog-brightbox-0.0.1, fog-core-1.21.1, fog-json-1.0.0, foreigner-1.4.2, foreman-tasks-0.6.6, foreman_bootdisk-2.0.6, foreman_discovery-1.3.0, foreman_hooks-0.3.5, formatador-0.2.1, fssm-0.2.7, ftools-0.0.0, gettext_i18n_rails-0.10.0, gettext_i18n_rails_js-0.0.8, google-api-client-0.6.4, haml-3.1.6, haml-rails-0.3.4, hashr-0.0.22, hike-1.2.1, hooks-0.2.2, hpricot-0.8.6, i18n-0.6.0, i18n_data-0.2.7, io-console-0.3, journey-1.0.4, jquery-rails-2.0.2, jquery-ui-rails-4.0.2, json-1.5.5, justified-0.0.4, jwt-0.1.8, katello-1.5.0, launchy-2.3.0, less-2.3.1, less-rails-2.3.2, little-plugger-1.1.3, logging-1.8.1, mail-2.4.4, maruku-0.6.0, mime-types-1.19, multi_json-1.8.2, multipart-post-1.2.0, net-http-persistent-2.7, net-ldap-0.3.1, net-scp-1.1.0, net-ssh-2.6.7, nokogiri-1.5.11, oauth-0.4.7, open4-1.3.0, passenger-4.0.18, pg-0.12.2, po_to_json-0.0.7, polyglot-0.3.3, rabl-0.9.0, rack-1.4.1, rack-cache-1.2, rack-protection-1.2.0, rack-ssl-1.3.2, rack-test-0.6.1, rails-3.2.8, railties-3.2.8, rake-0.9.2.2, rbovirt-0.0.29, rbvmomi-1.6.0, rdoc-3.9.5, redhat_access-0.0.4, redhat_access_lib-0.0.1, ref-1.0.0, rest-client-1.6.7, robotex-1.0.0, ruby-libvirt-0.5.1, ruby-openid-2.2.3, ruby2ruby-2.0.1, ruby_parser-3.1.1, runcible-1.1.0, safemode-1.2.0, sass-3.2.13, sass-rails-3.2.5, scoped_search-2.7.1, sequel-3.45.0, sexp_processor-4.1.3, signet-0.4.5, simple-navigation-3.3.4, sinatra-1.3.2, sprockets-2.10.1, sprockets-rails-2.0.1, sshkey-1.6.0, strong_parameters-0.2.1, syntax-1.0.0, therubyracer-0.11.0beta5, thin-1.3.1, thor-0.18.1, tilt-1.3.3, tire-0.6.2, treetop-1.4.10, trollop-2.0, tzinfo-0.3.33, ui_alchemy-rails-1.0.12, unf-0.1.3, unf_ext-0.0.6, uuidtools-2.1.3, validates_lengths_from_database-0.2.0, will_paginate-3.0.2]) (LoadError)
	from /opt/rh/ruby193/root/usr/share/rubygems/rubygems/dependency.rb:256:in `to_spec'
	from /opt/rh/ruby193/root/usr/share/rubygems/rubygems.rb:1231:in `gem'
	from /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/sqlite3_adapter.rb:3:in `<top (required)>'
	from /opt/rh/ruby193/root/usr/share/rubygems/rubygems/custom_require.rb:60:in `require'
	from /opt/rh/ruby193/root/usr/share/rubygems/rubygems/custom_require.rb:60:in `rescue in require'
	from /opt/rh/ruby193/root/usr/share/rubygems/rubygems/custom_require.rb:35:in `require'
	from /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/dependencies.rb:251:in `block in require'
	from /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/dependencies.rb:236:in `load_dependency'
	from /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/dependencies.rb:251:in `require'
	from /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_specification.rb:50:in `resolve_hash_connection'
	from /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_specification.rb:41:in `resolve_string_connection'
	from /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_specification.rb:25:in `spec'
	from /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_specification.rb:129:in `establish_connection'
	from /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/railtie.rb:82:in `block (2 levels) in <class:Railtie>'
	from /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/lazy_load_hooks.rb:36:in `instance_eval'
	from /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/lazy_load_hooks.rb:36:in `execute_hook'
	from /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/lazy_load_hooks.rb:26:in `block in on_load'
	from /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/lazy_load_hooks.rb:25:in `each'
	from /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/lazy_load_hooks.rb:25:in `on_load'
	from /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/railtie.rb:74:in `block in <class:Railtie>'
	from /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/initializable.rb:30:in `instance_exec'
	from /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/initializable.rb:30:in `run'
	from /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/initializable.rb:55:in `block in run_initializers'
	from /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/initializable.rb:54:in `each'
	from /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/initializable.rb:54:in `run_initializers'
	from /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/application.rb:136:in `initialize!'
	from /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/railtie/configurable.rb:30:in `method_missing'
	from /usr/share/foreman/config/environment.rb:5:in `<top (required)>'
	from /opt/rh/ruby193/root/usr/share/rubygems/rubygems/custom_require.rb:36:in `require'
	from /opt/rh/ruby193/root/usr/share/rubygems/rubygems/custom_require.rb:36:in `require'
	from /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/dependencies.rb:251:in `block in require'
	from /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/dependencies.rb:236:in `load_dependency'
	from /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/dependencies.rb:251:in `require'
	from /usr/bin/katello-jobs:7:in `<main>'

Comment 2 RHEL Product and Program Management 2014-08-12 19:03:04 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 4 Mike McCune 2014-08-14 20:47:57 UTC
katello-jobs will be gone from the GA release

Comment 5 Chris Roberts 2014-08-18 17:23:44 UTC
Had a customer restart katello-jobs to enable debugging and got this traceback as well. I have attached the Salesforce case to the BZ

Comment 6 Bryan Kearney 2014-10-03 13:43:23 UTC
Katello-jobs has been removed from the product. This bug is no longer relevant.


Note You need to log in before you can comment on or make changes to this bug.